import type { CurrencyRepository } from "../data/repository";

export class CurrencyController {
	private repo: CurrencyRepository;

	constructor(repo: CurrencyRepository) {
		this.repo = repo;
	}

	async getCurrencies() {
		return this.repo.getCurrencies();
	}
}
